<?php
// URL della API remota
$url = 'http://localhost/api/server/api.php';

// numero di articoli da recuperare
$n = 5;

// esegue la richiesta al server
$data = file_get_contents("{$url}?n={$n}");

// se c'è stato un errore interrompe lo script
if($data == 'false')
	die('Impossibile recuperare i dati. Riprova pi&ugrave; tardi.');

// trasforma i dati in array
$data = unserialize($data);

// cicla gli articoli
foreach($data as $id => $article)
{
	// formatta correttamente la data
	$date = date('d/m/Y', $article['date']);
	$hour = date('H:i:s', $article['date']);
	
	// visualizza il titolo
	echo "<h1>{$article['name']}</h1>";
	
	// visualizza il contenuto
	echo "<p>{$article['content']}</p>";
	
	// visualizza l'autore e la data di pubblicazione
	echo "<p>Pubblicato il <b>{$date}</b> alle <b>{$hour}</b> da <b>{$article['author']}</b>.</p>";
	
	// visualizza un divisore
	echo '<hr />';
}
?>